Bug 456009 - Review Request: python-jinja2 - General purpose template engine
Review Request: python-jinja2 - General purpose template engine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-20 10:37 EDT by Thomas Moschny
Modified: 2011-07-13 06:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-20 17:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-07-20 10:37:45 EDT
Spec URL: http://thm.fedorapeople.org/python-jinja2.spec
SRPM URL: http://thm.fedorapeople.org/python-jinja2-2.0-1.fc9.src.rpm

Description:
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

--

Making a new package for version 2 of Jinja as it is not completely backwards compatible to version 1.
Comment 1 Jochen Schmitt 2008-07-21 15:47:17 EDT
Good:
+ Local build works fine
+ Rpmlint is quite on source rpm.
+ Rpmlint is quite on binary rpm.
+ Rpmlint is quite on debuginfo rpm.
+ License is an open source license.
+ Package contains verbatin copy of the licens.
+ Usage of rpm macro is consitant.
+ Package doesn't own files or directories from other packeges
+ Mock build works fine.
+ License text seems ok.
+ Tar ball matches with upstrem
  (md5sum: 19fe3ee10ee94a6003c53374112f2403)
+ Local install works fine.
+ Local uninstall works fine.

*** APPROVED ***
Comment 2 Jochen Schmitt 2008-07-21 15:50:51 EDT
Sorry, In the last moment I have found one complaint:

In the package you use %{buildroot} and $RPM_BUILD_ROOT.

If you may fix this monor isue, you are APPROVED.
Comment 3 Thomas Moschny 2008-07-22 12:06:22 EDT
Thanks for reviewing!


New Package CVS Request
=======================
Package Name: python-jinja2
Short Description: General purpose template engine
Owners: thm
Branches: F-8 F-9
InitialCC: none
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-07-22 23:01:41 EDT
cvs done.
Comment 5 Fedora Update System 2008-07-24 04:24:48 EDT
python-jinja2-2.0-2.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-24 04:26:24 EDT
python-jinja2-2.0-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-08-12 14:24:43 EDT
python-jinja2-2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-08-12 14:25:32 EDT
python-jinja2-2.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Thomas Moschny 2008-08-20 17:01:07 EDT
Closing.
Comment 10 Rahul Sundaram 2011-07-12 08:44:41 EDT
Package Change Request
======================
Package Name: python-jinja2
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 11 Gwyn Ciesla 2011-07-12 23:13:20 EDT
Git done (by process-git-requests).
Comment 12 Thomas Moschny 2011-07-13 05:58:55 EDT
???

- python-jinja2  is part of RHEL6
- it would have been nice to ask me beforehand as I'm already maintaining it in EPEL5.
Comment 13 Rahul Sundaram 2011-07-13 06:40:55 EDT
I must have overlooked that.  I will get the branch removed

Note You need to log in before you can comment on or make changes to this bug.